cdac.medinfo.ccd.datatype

## Class ST

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.BIN
    - - cdac.medinfo.ccd.datatype.ED
      - - cdac.medinfo.ccd.datatype.ST

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ADXP, ENXP, SC

      public class ST
      extends ED

  The character string data type stands for text data, primarily intended for machine processing (e.g., sorting, querying, indexing, etc.) Used for names, symbols, and formal expressions.

  Java class for ST complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ST">
         <complexContent>
           <restriction base="{urn:hl7-org:v3}ED">
             <sequence>
               <element name="reference" type="{urn:hl7-org:v3}TEL" maxOccurs="0" minOccurs="0"/>
               <element name="thumbnail" type="{urn:hl7-org:v3}ED" maxOccurs="0" minOccurs="0"/>
             </sequence>
             <attribute name="representation" type="{urn:hl7-org:v3}BinaryDataEncoding" fixed="TXT" />
             <attribute name="mediaType" type="{urn:hl7-org:v3}cs" fixed="text/plain" />
             <attribute name="language" type="{urn:hl7-org:v3}cs" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ST()`

  - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ED

      `getCompression, getIntegrityCheck, getIntegrityCheckAlgorithm, getLanguage, getMediaType, getReference, getThumbnail, setCompression, setIntegrityCheck, setIntegrityCheckAlgorithm, setLanguage, setMediaType, setReference, setThumbnail`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.BIN

      `getRepresentation, setRepresentation`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ST

          public ST()